In the following example we are using the D'Bridge mailer and the internal 
D'Bridge file transmision utility, DButil. You may use any mailer and 
substitute the appropriate file transmission utility in place of DButil.
For instance any reference to DButil may be replaced by Xrobot, a file
transmission utility most often used with the Front Door mailer. Consult your
mailer and file transfer utility documentation for the appropriate commands.

The example batch file provided below should be called each night from your
event batch file and need be run only once a day. You may run it more than 
once however, version 3.0 of Classified Ads will mark each Ad and message
as exported, the first time and will not resend the ads unless you have 
removed the export flag via the provided CLMaint utility. The only advantage
to running this batch file more than once a day is when adding a new member 
to your Classified Ads network. 


This example batch file will work for both hubs and net members however, the 
net members will need only to send to the one address used by their hub.

   @echo off

Rem *** Change directory to your mailer's inbound files directory.

   cd\db\files

Rem *** Copy the Classified Ads files (exports from other systems) into your
Rem *** Classified Ads directory. Please NOTE the "*" wildcard is mandatory
Rem *** as the exchange program will add a random number to the end of the
Rem *** name you have specified in your configuration file. This was done to
REM *** prevent accidental mailer overwrites or rejections.

   copy *.axp I:\ra\doors\classb1
   copy *.mxp i:\ra\doors\classb1

Rem *** Delete the files from your mailer directory, this is optional but does
Rem *** keep the directory cleaner. Also, if you have a Move utility you may 
Rem *** use that (make sure it's in your path) to perform the copy and delete
Rem *** in one step.

   del *.axp
   del *.mxp

Rem *** Change directory to your Classified Ads directory.

   cd\ra\doors\classb1

Rem *** Run the Cl-Exchange program with the IMPort/EXPort option to import
Rem *** the files, and create your export. A quick review of the documentation
Rem *** provided with Classified Ads will show you that you may also run an
Rem *** import and/or an export separately, just substitute the appropriate
Rem *** command.

   clexch IMPEXP classb11.cfg

Rem *** Now copy (or move) the export Ad and message files you have just 
Rem *** created to your mailers outbound file area. 
Rem *** (D'Bridge uses the same area for inbound and outbound.)
Rem *** Once again NOTE the "*" wildcard is very inportant.

   copy wit*.axp i:\db\files
   copy wit*.mxp i:\db\files

Rem *** Change directory and execute your file transmission utility. D'Bridge
Rem *** requires your utility to be run from the D'Bridge directory but, others
Rem *** such as Xrobot may be pathed or kept in a separate directory. Please
Rem *** consult your file transmission utility documentation.

cd\db
   dbutil i send 142:150/55 i:\db\files\wit*.?xp
   dbutil i send 99:602/0 i:\db\files\wit*.?xp
   dbutil i send 142:150/102 i:\db\files\wit*.?xp
cd\ra\doors\classb1

In this example, particular mention of specific utilities and/or mailers in
no way reflects endorsement by the author but rather are provided as an aid
to the end user.

This batch file example was provided by:

					 Pam Smith
					 Window In Time
    					 1:114/203
					 602-253-1946 (9600)

			 Freq: "Sunrise" for all Sunrise Doors.
				"Allfiles.zip" for an individual list.